%define		_class		XML
%define		_subclass	XPath
%define		upstream_name	%{_class}_%{_subclass}

%define		_requires_exceptions pear(XML/XPath.php)

Name:		php-pear-%{upstream_name}
Version:	1.2.4
Release:	%mkrel 8
Summary:	XPath/DOM XML manipulation, maneuvering and query interface
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/XML_XPath/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
Patch0:		XML_XPath-1.2.4-fix-path.patch
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	php-pear
BuildArch:	noarch

%description
The PEAR::XML_XPath class provides an XPath/DOM XML manipulation,
maneuvering and query interface.

The class allows for easy manipulation, maneuvering and querying of a
DOMXML tree using both XPath queries and DOM walk functions. It uses
an internal pointer for all methods on which the action is performed.
Results from an DOM/XPath query are returned as an XPath_Result
object, which contains an internal array of DOM nodes and which
extends the common DOM class and hence contains all the DOM functions
from the main object to run on each of the elements in the internal
array. This class tries to hold as close as possible to the DOM
Recommendation. You MUST have the domxml extension to use this class.

The XML_XPath class was inspired by a class maintained by Nigel
Swinson called phpxpath. The phpxpath class does not rely on PHP
xmldom functions and is therefore a sibling to this class:
http://sourceforge.net/projects/phpxpath/.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

# What is this patch for?
# %patch0 -p0

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.2.4-8.mga3
+ Revision: 377487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 spuhler <spuhler> 1.2.4-7.mga1
+ Revision: 77895
- commented  %%patch0 -p0 to get the files in

* Sat Mar 26 2011 spuhler <spuhler> 1.2.4-6.mga1
+ Revision: 77749
- changed _requires_exceptions pear(../XPath.php) to _requires_exceptions pear(XML/XPath.php)
  increase rel for rebuild

* Mon Feb 07 2011 spuhler <spuhler> 1.2.4-5.mga1
+ Revision: 48401
- increased rel to 4 for rebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.2.4-4.mga1
+ Revision: 47556
- removed buildroot definition from .spec
- imported package php-pear-XML_XPath

